<?php

declare(strict_types=1);

namespace Migrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20200123152944 extends AbstractMigration
{
    public function getDescription(): string
    {
        return '';
    }

    public function up(Schema $schema): void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('CREATE TABLE nationality (id INT AUTO_INCREMENT NOT NULL, is_preferred TINYINT(1) DEFAULT \'0\' NOT NULL, short_name VARCHAR(255) NOT NULL, alpha_code2 VARCHAR(255) NOT NULL, alpha_code3 VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET UTF8 COLLATE `UTF8_unicode_ci` ENGINE = InnoDB');

        $nationalities = [
            ['is_preferred' => 0, 'short_name' => 'Afghanistan', 'alpha_code2' => 'AF', 'alpha_code3' => 'AFG', 'name' => 'Afghan'],
            ['is_preferred' => 0, 'short_name' => 'Åland Islands', 'alpha_code2' => 'AX', 'alpha_code3' => 'ALA', 'name' => 'Åland Island'],
            ['is_preferred' => 0, 'short_name' => 'Albania', 'alpha_code2' => 'AL', 'alpha_code3' => 'ALB', 'name' => 'Albanian'],
            ['is_preferred' => 0, 'short_name' => 'Algeria', 'alpha_code2' => 'DZ', 'alpha_code3' => 'DZA', 'name' => 'Algerian'],
            ['is_preferred' => 0, 'short_name' => 'American Samoa', 'alpha_code2' => 'AS', 'alpha_code3' => 'ASM', 'name' => 'American Samoan'],
            ['is_preferred' => 0, 'short_name' => 'Andorra', 'alpha_code2' => 'AD', 'alpha_code3' => 'AND', 'name' => 'Andorran'],
            ['is_preferred' => 0, 'short_name' => 'Angola', 'alpha_code2' => 'AO', 'alpha_code3' => 'AGO', 'name' => 'Angolan'],
            ['is_preferred' => 0, 'short_name' => 'Anguilla', 'alpha_code2' => 'AI', 'alpha_code3' => 'AIA', 'name' => 'Anguillan'],
            ['is_preferred' => 0, 'short_name' => 'Antarctica', 'alpha_code2' => 'AQ', 'alpha_code3' => 'ATA', 'name' => 'Antarctic'],
            ['is_preferred' => 0, 'short_name' => 'Antigua and Barbuda', 'alpha_code2' => 'AG', 'alpha_code3' => 'ATG', 'name' => 'Antiguan or Barbudan'],
            ['is_preferred' => 0, 'short_name' => 'Argentina', 'alpha_code2' => 'AR', 'alpha_code3' => 'ARG', 'name' => 'Argentine'],
            ['is_preferred' => 0, 'short_name' => 'Armenia', 'alpha_code2' => 'AM', 'alpha_code3' => 'ARM', 'name' => 'Armenian'],
            ['is_preferred' => 0, 'short_name' => 'Aruba', 'alpha_code2' => 'AW', 'alpha_code3' => 'ABW', 'name' => 'Aruban'],
            ['is_preferred' => 0, 'short_name' => 'Australia', 'alpha_code2' => 'AU', 'alpha_code3' => 'AUS', 'name' => 'Australian'],
            ['is_preferred' => 0, 'short_name' => 'Austria', 'alpha_code2' => 'AT', 'alpha_code3' => 'AUT', 'name' => 'Austrian'],
            ['is_preferred' => 0, 'short_name' => 'Azerbaijan', 'alpha_code2' => 'AZ', 'alpha_code3' => 'AZE', 'name' => 'Azerbaijani, Azeri'],
            ['is_preferred' => 0, 'short_name' => 'Bahamas', 'alpha_code2' => 'BS', 'alpha_code3' => 'BHS', 'name' => 'Bahamian'],
            ['is_preferred' => 0, 'short_name' => 'Bahrain', 'alpha_code2' => 'BH', 'alpha_code3' => 'BHR', 'name' => 'Bahraini'],
            ['is_preferred' => 0, 'short_name' => 'Bangladesh', 'alpha_code2' => 'BD', 'alpha_code3' => 'BGD', 'name' => 'Bangladeshi'],
            ['is_preferred' => 0, 'short_name' => 'Barbados', 'alpha_code2' => 'BB', 'alpha_code3' => 'BRB', 'name' => 'Barbadian'],
            ['is_preferred' => 0, 'short_name' => 'Belarus', 'alpha_code2' => 'BY', 'alpha_code3' => 'BLR', 'name' => 'Belarusian'],
            ['is_preferred' => 0, 'short_name' => 'Belgium', 'alpha_code2' => 'BE', 'alpha_code3' => 'BEL', 'name' => 'Belgian'],
            ['is_preferred' => 0, 'short_name' => 'Belize', 'alpha_code2' => 'BZ', 'alpha_code3' => 'BLZ', 'name' => 'Belizean'],
            ['is_preferred' => 0, 'short_name' => 'Benin', 'alpha_code2' => 'BJ', 'alpha_code3' => 'BEN', 'name' => 'Beninese, Beninois'],
            ['is_preferred' => 0, 'short_name' => 'Bermuda', 'alpha_code2' => 'BM', 'alpha_code3' => 'BMU', 'name' => 'Bermudian, Bermudan'],
            ['is_preferred' => 0, 'short_name' => 'Bhutan', 'alpha_code2' => 'BT', 'alpha_code3' => 'BTN', 'name' => 'Bhutanese'],
            ['is_preferred' => 0, 'short_name' => 'Bolivia (Plurinational State of)', 'alpha_code2' => 'BO', 'alpha_code3' => 'BOL', 'name' => 'Bolivian'],
            ['is_preferred' => 0, 'short_name' => 'Bonaire, Sint Eustatius and Saba', 'alpha_code2' => 'BQ', 'alpha_code3' => 'BES', 'name' => 'Bonaire'],
            ['is_preferred' => 0, 'short_name' => 'Bosnia and Herzegovina', 'alpha_code2' => 'BA', 'alpha_code3' => 'BIH', 'name' => 'Bosnian or Herzegovinian'],
            ['is_preferred' => 0, 'short_name' => 'Botswana', 'alpha_code2' => 'BW', 'alpha_code3' => 'BWA', 'name' => 'Motswana, Botswanan'],
            ['is_preferred' => 0, 'short_name' => 'Bouvet Island', 'alpha_code2' => 'BV', 'alpha_code3' => 'BVT', 'name' => 'Bouvet Island'],
            ['is_preferred' => 0, 'short_name' => 'Brazil', 'alpha_code2' => 'BR', 'alpha_code3' => 'BRA', 'name' => 'Brazilian'],
            ['is_preferred' => 0, 'short_name' => 'British Indian Ocean Territory', 'alpha_code2' => 'IO', 'alpha_code3' => 'IOT', 'name' => 'BIOT'],
            ['is_preferred' => 0, 'short_name' => 'Brunei Darussalam', 'alpha_code2' => 'BN', 'alpha_code3' => 'BRN', 'name' => 'Bruneian'],
            ['is_preferred' => 0, 'short_name' => 'Bulgaria', 'alpha_code2' => 'BG', 'alpha_code3' => 'BGR', 'name' => 'Bulgarian'],
            ['is_preferred' => 0, 'short_name' => 'Burkina Faso', 'alpha_code2' => 'BF', 'alpha_code3' => 'BFA', 'name' => 'Burkinabé'],
            ['is_preferred' => 0, 'short_name' => 'Burundi', 'alpha_code2' => 'BI', 'alpha_code3' => 'BDI', 'name' => 'Burundian'],
            ['is_preferred' => 0, 'short_name' => 'Cabo Verde', 'alpha_code2' => 'CV', 'alpha_code3' => 'CPV', 'name' => 'Cabo Verdean'],
            ['is_preferred' => 0, 'short_name' => 'Cambodia', 'alpha_code2' => 'KH', 'alpha_code3' => 'KHM', 'name' => 'Cambodian'],
            ['is_preferred' => 0, 'short_name' => 'Cameroon', 'alpha_code2' => 'CM', 'alpha_code3' => 'CMR', 'name' => 'Cameroonian'],
            ['is_preferred' => 0, 'short_name' => 'Canada', 'alpha_code2' => 'CA', 'alpha_code3' => 'CAN', 'name' => 'Canadian'],
            ['is_preferred' => 0, 'short_name' => 'Cayman Islands', 'alpha_code2' => 'KY', 'alpha_code3' => 'CYM', 'name' => 'Caymanian'],
            ['is_preferred' => 0, 'short_name' => 'Central African Republic', 'alpha_code2' => 'CF', 'alpha_code3' => 'CAF', 'name' => 'Central African'],
            ['is_preferred' => 0, 'short_name' => 'Chad', 'alpha_code2' => 'TD', 'alpha_code3' => 'TCD', 'name' => 'Chadian'],
            ['is_preferred' => 0, 'short_name' => 'Chile', 'alpha_code2' => 'CL', 'alpha_code3' => 'CHL', 'name' => 'Chilean'],
            ['is_preferred' => 0, 'short_name' => 'China', 'alpha_code2' => 'CN', 'alpha_code3' => 'CHN', 'name' => 'Chinese'],
            ['is_preferred' => 0, 'short_name' => 'Christmas Island', 'alpha_code2' => 'CX', 'alpha_code3' => 'CXR', 'name' => 'Christmas Island'],
            ['is_preferred' => 0, 'short_name' => 'Cocos (Keeling) Islands', 'alpha_code2' => 'CC', 'alpha_code3' => 'CCK', 'name' => 'Cocos Island'],
            ['is_preferred' => 0, 'short_name' => 'Colombia', 'alpha_code2' => 'CO', 'alpha_code3' => 'COL', 'name' => 'Colombian'],
            ['is_preferred' => 0, 'short_name' => 'Comoros', 'alpha_code2' => 'KM', 'alpha_code3' => 'COM', 'name' => 'Comoran, Comorian'],
            ['is_preferred' => 0, 'short_name' => 'Congo (Republic of the)', 'alpha_code2' => 'CG', 'alpha_code3' => 'COG', 'name' => 'Congolese'],
            ['is_preferred' => 0, 'short_name' => 'Congo (Democratic Republic of the)', 'alpha_code2' => 'CD', 'alpha_code3' => 'COD', 'name' => 'Congolese'],
            ['is_preferred' => 0, 'short_name' => 'Cook Islands', 'alpha_code2' => 'CK', 'alpha_code3' => 'COK', 'name' => 'Cook Island'],
            ['is_preferred' => 0, 'short_name' => 'Costa Rica', 'alpha_code2' => 'CR', 'alpha_code3' => 'CRI', 'name' => 'Costa Rican'],
            ['is_preferred' => 0, 'short_name' => 'Côte d\'Ivoire', 'alpha_code2' => 'CI', 'alpha_code3' => 'CIV', 'name' => 'Ivorian'],
            ['is_preferred' => 0, 'short_name' => 'Croatia', 'alpha_code2' => 'HR', 'alpha_code3' => 'HRV', 'name' => 'Croatian'],
            ['is_preferred' => 0, 'short_name' => 'Cuba', 'alpha_code2' => 'CU', 'alpha_code3' => 'CUB', 'name' => 'Cuban'],
            ['is_preferred' => 0, 'short_name' => 'Curaçao', 'alpha_code2' => 'CW', 'alpha_code3' => 'CUW', 'name' => 'Curaçaoan'],
            ['is_preferred' => 0, 'short_name' => 'Cyprus', 'alpha_code2' => 'CY', 'alpha_code3' => 'CYP', 'name' => 'Cypriot'],
            ['is_preferred' => 1, 'short_name' => 'Czech Republic', 'alpha_code2' => 'CZ', 'alpha_code3' => 'CZE', 'name' => 'Czech'],
            ['is_preferred' => 0, 'short_name' => 'Denmark', 'alpha_code2' => 'DK', 'alpha_code3' => 'DNK', 'name' => 'Danish'],
            ['is_preferred' => 0, 'short_name' => 'Djibouti', 'alpha_code2' => 'DJ', 'alpha_code3' => 'DJI', 'name' => 'Djiboutian'],
            ['is_preferred' => 0, 'short_name' => 'Dominica', 'alpha_code2' => 'DM', 'alpha_code3' => 'DMA', 'name' => 'Dominican'],
            ['is_preferred' => 0, 'short_name' => 'Dominican Republic', 'alpha_code2' => 'DO', 'alpha_code3' => 'DOM', 'name' => 'Dominican'],
            ['is_preferred' => 0, 'short_name' => 'Ecuador', 'alpha_code2' => 'EC', 'alpha_code3' => 'ECU', 'name' => 'Ecuadorian'],
            ['is_preferred' => 0, 'short_name' => 'Egypt', 'alpha_code2' => 'EG', 'alpha_code3' => 'EGY', 'name' => 'Egyptian'],
            ['is_preferred' => 0, 'short_name' => 'El Salvador', 'alpha_code2' => 'SV', 'alpha_code3' => 'SLV', 'name' => 'Salvadoran'],
            ['is_preferred' => 0, 'short_name' => 'Equatorial Guinea', 'alpha_code2' => 'GQ', 'alpha_code3' => 'GNQ', 'name' => 'Equatorial Guinean, Equatoguinean'],
            ['is_preferred' => 0, 'short_name' => 'Eritrea', 'alpha_code2' => 'ER', 'alpha_code3' => 'ERI', 'name' => 'Eritrean'],
            ['is_preferred' => 0, 'short_name' => 'Estonia', 'alpha_code2' => 'EE', 'alpha_code3' => 'EST', 'name' => 'Estonian'],
            ['is_preferred' => 0, 'short_name' => 'Ethiopia', 'alpha_code2' => 'ET', 'alpha_code3' => 'ETH', 'name' => 'Ethiopian'],
            ['is_preferred' => 0, 'short_name' => 'Falkland Islands (Malvinas)', 'alpha_code2' => 'FK', 'alpha_code3' => 'FLK', 'name' => 'Falkland Island'],
            ['is_preferred' => 0, 'short_name' => 'Faroe Islands', 'alpha_code2' => 'FO', 'alpha_code3' => 'FRO', 'name' => 'Faroese'],
            ['is_preferred' => 0, 'short_name' => 'Fiji', 'alpha_code2' => 'FJ', 'alpha_code3' => 'FJI', 'name' => 'Fijian'],
            ['is_preferred' => 0, 'short_name' => 'Finland', 'alpha_code2' => 'FI', 'alpha_code3' => 'FIN', 'name' => 'Finnish'],
            ['is_preferred' => 0, 'short_name' => 'France', 'alpha_code2' => 'FR', 'alpha_code3' => 'FRA', 'name' => 'French'],
            ['is_preferred' => 0, 'short_name' => 'French Guiana', 'alpha_code2' => 'GF', 'alpha_code3' => 'GUF', 'name' => 'French Guianese'],
            ['is_preferred' => 0, 'short_name' => 'French Polynesia', 'alpha_code2' => 'PF', 'alpha_code3' => 'PYF', 'name' => 'French Polynesian'],
            ['is_preferred' => 0, 'short_name' => 'French Southern Territories', 'alpha_code2' => 'TF', 'alpha_code3' => 'ATF', 'name' => 'French Southern Territories'],
            ['is_preferred' => 0, 'short_name' => 'Gabon', 'alpha_code2' => 'GA', 'alpha_code3' => 'GAB', 'name' => 'Gabonese'],
            ['is_preferred' => 0, 'short_name' => 'Gambia', 'alpha_code2' => 'GM', 'alpha_code3' => 'GMB', 'name' => 'Gambian'],
            ['is_preferred' => 0, 'short_name' => 'Georgia', 'alpha_code2' => 'GE', 'alpha_code3' => 'GEO', 'name' => 'Georgian'],
            ['is_preferred' => 0, 'short_name' => 'Germany', 'alpha_code2' => 'DE', 'alpha_code3' => 'DEU', 'name' => 'German'],
            ['is_preferred' => 0, 'short_name' => 'Ghana', 'alpha_code2' => 'GH', 'alpha_code3' => 'GHA', 'name' => 'Ghanaian'],
            ['is_preferred' => 0, 'short_name' => 'Gibraltar', 'alpha_code2' => 'GI', 'alpha_code3' => 'GIB', 'name' => 'Gibraltar'],
            ['is_preferred' => 0, 'short_name' => 'Greece', 'alpha_code2' => 'GR', 'alpha_code3' => 'GRC', 'name' => 'Greek, Hellenic'],
            ['is_preferred' => 0, 'short_name' => 'Greenland', 'alpha_code2' => 'GL', 'alpha_code3' => 'GRL', 'name' => 'Greenlandic'],
            ['is_preferred' => 0, 'short_name' => 'Grenada', 'alpha_code2' => 'GD', 'alpha_code3' => 'GRD', 'name' => 'Grenadian'],
            ['is_preferred' => 0, 'short_name' => 'Guadeloupe', 'alpha_code2' => 'GP', 'alpha_code3' => 'GLP', 'name' => 'Guadeloupe'],
            ['is_preferred' => 0, 'short_name' => 'Guam', 'alpha_code2' => 'GU', 'alpha_code3' => 'GUM', 'name' => 'Guamanian, Guambat'],
            ['is_preferred' => 0, 'short_name' => 'Guatemala', 'alpha_code2' => 'GT', 'alpha_code3' => 'GTM', 'name' => 'Guatemalan'],
            ['is_preferred' => 0, 'short_name' => 'Guernsey', 'alpha_code2' => 'GG', 'alpha_code3' => 'GGY', 'name' => 'Channel Island'],
            ['is_preferred' => 0, 'short_name' => 'Guinea', 'alpha_code2' => 'GN', 'alpha_code3' => 'GIN', 'name' => 'Guinean'],
            ['is_preferred' => 0, 'short_name' => 'Guinea-Bissau', 'alpha_code2' => 'GW', 'alpha_code3' => 'GNB', 'name' => 'Bissau-Guinean'],
            ['is_preferred' => 0, 'short_name' => 'Guyana', 'alpha_code2' => 'GY', 'alpha_code3' => 'GUY', 'name' => 'Guyanese'],
            ['is_preferred' => 0, 'short_name' => 'Haiti', 'alpha_code2' => 'HT', 'alpha_code3' => 'HTI', 'name' => 'Haitian'],
            ['is_preferred' => 0, 'short_name' => 'Heard Island and McDonald Islands', 'alpha_code2' => 'HM', 'alpha_code3' => 'HMD', 'name' => 'Heard Island or McDonald Islands'],
            ['is_preferred' => 0, 'short_name' => 'Vatican City State', 'alpha_code2' => 'VA', 'alpha_code3' => 'VAT', 'name' => 'Vatican'],
            ['is_preferred' => 0, 'short_name' => 'Honduras', 'alpha_code2' => 'HN', 'alpha_code3' => 'HND', 'name' => 'Honduran'],
            ['is_preferred' => 0, 'short_name' => 'Hong Kong', 'alpha_code2' => 'HK', 'alpha_code3' => 'HKG', 'name' => 'Hong Kong, Hong Kongese'],
            ['is_preferred' => 0, 'short_name' => 'Hungary', 'alpha_code2' => 'HU', 'alpha_code3' => 'HUN', 'name' => 'Hungarian, Magyar'],
            ['is_preferred' => 0, 'short_name' => 'Iceland', 'alpha_code2' => 'IS', 'alpha_code3' => 'ISL', 'name' => 'Icelandic'],
            ['is_preferred' => 0, 'short_name' => 'India', 'alpha_code2' => 'IN', 'alpha_code3' => 'IND', 'name' => 'Indian'],
            ['is_preferred' => 0, 'short_name' => 'Indonesia', 'alpha_code2' => 'ID', 'alpha_code3' => 'IDN', 'name' => 'Indonesian'],
            ['is_preferred' => 0, 'short_name' => 'Iran', 'alpha_code2' => 'IR', 'alpha_code3' => 'IRN', 'name' => 'Iranian, Persian'],
            ['is_preferred' => 0, 'short_name' => 'Iraq', 'alpha_code2' => 'IQ', 'alpha_code3' => 'IRQ', 'name' => 'Iraqi'],
            ['is_preferred' => 0, 'short_name' => 'Ireland', 'alpha_code2' => 'IE', 'alpha_code3' => 'IRL', 'name' => 'Irish'],
            ['is_preferred' => 0, 'short_name' => 'Isle of Man', 'alpha_code2' => 'IM', 'alpha_code3' => 'IMN', 'name' => 'Manx'],
            ['is_preferred' => 0, 'short_name' => 'Israel', 'alpha_code2' => 'IL', 'alpha_code3' => 'ISR', 'name' => 'Israeli'],
            ['is_preferred' => 0, 'short_name' => 'Italy', 'alpha_code2' => 'IT', 'alpha_code3' => 'ITA', 'name' => 'Italian'],
            ['is_preferred' => 0, 'short_name' => 'Jamaica', 'alpha_code2' => 'JM', 'alpha_code3' => 'JAM', 'name' => 'Jamaican'],
            ['is_preferred' => 0, 'short_name' => 'Japan', 'alpha_code2' => 'JP', 'alpha_code3' => 'JPN', 'name' => 'Japanese'],
            ['is_preferred' => 0, 'short_name' => 'Jersey', 'alpha_code2' => 'JE', 'alpha_code3' => 'JEY', 'name' => 'Channel Island'],
            ['is_preferred' => 0, 'short_name' => 'Jordan', 'alpha_code2' => 'JO', 'alpha_code3' => 'JOR', 'name' => 'Jordanian'],
            ['is_preferred' => 0, 'short_name' => 'Kazakhstan', 'alpha_code2' => 'KZ', 'alpha_code3' => 'KAZ', 'name' => 'Kazakhstani, Kazakh'],
            ['is_preferred' => 0, 'short_name' => 'Kenya', 'alpha_code2' => 'KE', 'alpha_code3' => 'KEN', 'name' => 'Kenyan'],
            ['is_preferred' => 0, 'short_name' => 'Kiribati', 'alpha_code2' => 'KI', 'alpha_code3' => 'KIR', 'name' => 'I-Kiribati'],
            ['is_preferred' => 0, 'short_name' => 'Korea (Democratic People\'s Republic of)', 'alpha_code2' => 'KP', 'alpha_code3' => 'PRK', 'name' => 'North Korean'],
            ['is_preferred' => 0, 'short_name' => 'Korea (Republic of)', 'alpha_code2' => 'KR', 'alpha_code3' => 'KOR', 'name' => 'South Korean'],
            ['is_preferred' => 0, 'short_name' => 'Kuwait', 'alpha_code2' => 'KW', 'alpha_code3' => 'KWT', 'name' => 'Kuwaiti'],
            ['is_preferred' => 0, 'short_name' => 'Kyrgyzstan', 'alpha_code2' => 'KG', 'alpha_code3' => 'KGZ', 'name' => 'Kyrgyzstani, Kyrgyz, Kirgiz, Kirghiz'],
            ['is_preferred' => 0, 'short_name' => 'Lao People\'s Democratic Republic', 'alpha_code2' => 'LA', 'alpha_code3' => 'LAO', 'name' => 'Lao, Laotian'],
            ['is_preferred' => 0, 'short_name' => 'Latvia', 'alpha_code2' => 'LV', 'alpha_code3' => 'LVA', 'name' => 'Latvian'],
            ['is_preferred' => 0, 'short_name' => 'Lebanon', 'alpha_code2' => 'LB', 'alpha_code3' => 'LBN', 'name' => 'Lebanese'],
            ['is_preferred' => 0, 'short_name' => 'Lesotho', 'alpha_code2' => 'LS', 'alpha_code3' => 'LSO', 'name' => 'Basotho'],
            ['is_preferred' => 0, 'short_name' => 'Liberia', 'alpha_code2' => 'LR', 'alpha_code3' => 'LBR', 'name' => 'Liberian'],
            ['is_preferred' => 0, 'short_name' => 'Libya', 'alpha_code2' => 'LY', 'alpha_code3' => 'LBY', 'name' => 'Libyan'],
            ['is_preferred' => 0, 'short_name' => 'Liechtenstein', 'alpha_code2' => 'LI', 'alpha_code3' => 'LIE', 'name' => 'Liechtenstein'],
            ['is_preferred' => 0, 'short_name' => 'Lithuania', 'alpha_code2' => 'LT', 'alpha_code3' => 'LTU', 'name' => 'Lithuanian'],
            ['is_preferred' => 0, 'short_name' => 'Luxembourg', 'alpha_code2' => 'LU', 'alpha_code3' => 'LUX', 'name' => 'Luxembourg, Luxembourgish'],
            ['is_preferred' => 0, 'short_name' => 'Macao', 'alpha_code2' => 'MO', 'alpha_code3' => 'MAC', 'name' => 'Macanese, Chinese'],
            ['is_preferred' => 0, 'short_name' => 'Macedonia (the former Yugoslav Republic of)', 'alpha_code2' => 'MK', 'alpha_code3' => 'MKD', 'name' => 'Macedonian'],
            ['is_preferred' => 0, 'short_name' => 'Madagascar', 'alpha_code2' => 'MG', 'alpha_code3' => 'MDG', 'name' => 'Malagasy'],
            ['is_preferred' => 0, 'short_name' => 'Malawi', 'alpha_code2' => 'MW', 'alpha_code3' => 'MWI', 'name' => 'Malawian'],
            ['is_preferred' => 0, 'short_name' => 'Malaysia', 'alpha_code2' => 'MY', 'alpha_code3' => 'MYS', 'name' => 'Malaysian'],
            ['is_preferred' => 0, 'short_name' => 'Maldives', 'alpha_code2' => 'MV', 'alpha_code3' => 'MDV', 'name' => 'Maldivian'],
            ['is_preferred' => 0, 'short_name' => 'Mali', 'alpha_code2' => 'ML', 'alpha_code3' => 'MLI', 'name' => 'Malian, Malinese'],
            ['is_preferred' => 0, 'short_name' => 'Malta', 'alpha_code2' => 'MT', 'alpha_code3' => 'MLT', 'name' => 'Maltese'],
            ['is_preferred' => 0, 'short_name' => 'Marshall Islands', 'alpha_code2' => 'MH', 'alpha_code3' => 'MHL', 'name' => 'Marshallese'],
            ['is_preferred' => 0, 'short_name' => 'Martinique', 'alpha_code2' => 'MQ', 'alpha_code3' => 'MTQ', 'name' => 'Martiniquais, Martinican'],
            ['is_preferred' => 0, 'short_name' => 'Mauritania', 'alpha_code2' => 'MR', 'alpha_code3' => 'MRT', 'name' => 'Mauritanian'],
            ['is_preferred' => 0, 'short_name' => 'Mauritius', 'alpha_code2' => 'MU', 'alpha_code3' => 'MUS', 'name' => 'Mauritian'],
            ['is_preferred' => 0, 'short_name' => 'Mayotte', 'alpha_code2' => 'YT', 'alpha_code3' => 'MYT', 'name' => 'Mahoran'],
            ['is_preferred' => 0, 'short_name' => 'Mexico', 'alpha_code2' => 'MX', 'alpha_code3' => 'MEX', 'name' => 'Mexican'],
            ['is_preferred' => 0, 'short_name' => 'Micronesia (Federated States of)', 'alpha_code2' => 'FM', 'alpha_code3' => 'FSM', 'name' => 'Micronesian'],
            ['is_preferred' => 0, 'short_name' => 'Moldova (Republic of)', 'alpha_code2' => 'MD', 'alpha_code3' => 'MDA', 'name' => 'Moldovan'],
            ['is_preferred' => 0, 'short_name' => 'Monaco', 'alpha_code2' => 'MC', 'alpha_code3' => 'MCO', 'name' => 'Monégasque, Monacan'],
            ['is_preferred' => 0, 'short_name' => 'Mongolia', 'alpha_code2' => 'MN', 'alpha_code3' => 'MNG', 'name' => 'Mongolian'],
            ['is_preferred' => 0, 'short_name' => 'Montenegro', 'alpha_code2' => 'ME', 'alpha_code3' => 'MNE', 'name' => 'Montenegrin'],
            ['is_preferred' => 0, 'short_name' => 'Montserrat', 'alpha_code2' => 'MS', 'alpha_code3' => 'MSR', 'name' => 'Montserratian'],
            ['is_preferred' => 0, 'short_name' => 'Morocco', 'alpha_code2' => 'MA', 'alpha_code3' => 'MAR', 'name' => 'Moroccan'],
            ['is_preferred' => 0, 'short_name' => 'Mozambique', 'alpha_code2' => 'MZ', 'alpha_code3' => 'MOZ', 'name' => 'Mozambican'],
            ['is_preferred' => 0, 'short_name' => 'Myanmar', 'alpha_code2' => 'MM', 'alpha_code3' => 'MMR', 'name' => 'Burmese'],
            ['is_preferred' => 0, 'short_name' => 'Namibia', 'alpha_code2' => 'NA', 'alpha_code3' => 'NAM', 'name' => 'Namibian'],
            ['is_preferred' => 0, 'short_name' => 'Nauru', 'alpha_code2' => 'NR', 'alpha_code3' => 'NRU', 'name' => 'Nauruan'],
            ['is_preferred' => 0, 'short_name' => 'Nepal', 'alpha_code2' => 'NP', 'alpha_code3' => 'NPL', 'name' => 'Nepali, Nepalese'],
            ['is_preferred' => 0, 'short_name' => 'Netherlands', 'alpha_code2' => 'NL', 'alpha_code3' => 'NLD', 'name' => 'Dutch, Netherlandic'],
            ['is_preferred' => 0, 'short_name' => 'New Caledonia', 'alpha_code2' => 'NC', 'alpha_code3' => 'NCL', 'name' => 'New Caledonian'],
            ['is_preferred' => 0, 'short_name' => 'New Zealand', 'alpha_code2' => 'NZ', 'alpha_code3' => 'NZL', 'name' => 'New Zealand, NZ'],
            ['is_preferred' => 0, 'short_name' => 'Nicaragua', 'alpha_code2' => 'NI', 'alpha_code3' => 'NIC', 'name' => 'Nicaraguan'],
            ['is_preferred' => 0, 'short_name' => 'Niger', 'alpha_code2' => 'NE', 'alpha_code3' => 'NER', 'name' => 'Nigerien'],
            ['is_preferred' => 0, 'short_name' => 'Nigeria', 'alpha_code2' => 'NG', 'alpha_code3' => 'NGA', 'name' => 'Nigerian'],
            ['is_preferred' => 0, 'short_name' => 'Niue', 'alpha_code2' => 'NU', 'alpha_code3' => 'NIU', 'name' => 'Niuean'],
            ['is_preferred' => 0, 'short_name' => 'Norfolk Island', 'alpha_code2' => 'NF', 'alpha_code3' => 'NFK', 'name' => 'Norfolk Island'],
            ['is_preferred' => 0, 'short_name' => 'Northern Mariana Islands', 'alpha_code2' => 'MP', 'alpha_code3' => 'MNP', 'name' => 'Northern Marianan'],
            ['is_preferred' => 0, 'short_name' => 'Norway', 'alpha_code2' => 'NO', 'alpha_code3' => 'NOR', 'name' => 'Norwegian'],
            ['is_preferred' => 0, 'short_name' => 'Oman', 'alpha_code2' => 'OM', 'alpha_code3' => 'OMN', 'name' => 'Omani'],
            ['is_preferred' => 0, 'short_name' => 'Pakistan', 'alpha_code2' => 'PK', 'alpha_code3' => 'PAK', 'name' => 'Pakistani'],
            ['is_preferred' => 0, 'short_name' => 'Palau', 'alpha_code2' => 'PW', 'alpha_code3' => 'PLW', 'name' => 'Palauan'],
            ['is_preferred' => 0, 'short_name' => 'Palestine, State of', 'alpha_code2' => 'PS', 'alpha_code3' => 'PSE', 'name' => 'Palestinian'],
            ['is_preferred' => 0, 'short_name' => 'Panama', 'alpha_code2' => 'PA', 'alpha_code3' => 'PAN', 'name' => 'Panamanian'],
            ['is_preferred' => 0, 'short_name' => 'Papua New Guinea', 'alpha_code2' => 'PG', 'alpha_code3' => 'PNG', 'name' => 'Papua New Guinean, Papuan'],
            ['is_preferred' => 0, 'short_name' => 'Paraguay', 'alpha_code2' => 'PY', 'alpha_code3' => 'PRY', 'name' => 'Paraguayan'],
            ['is_preferred' => 0, 'short_name' => 'Peru', 'alpha_code2' => 'PE', 'alpha_code3' => 'PER', 'name' => 'Peruvian'],
            ['is_preferred' => 0, 'short_name' => 'Philippines', 'alpha_code2' => 'PH', 'alpha_code3' => 'PHL', 'name' => 'Philippine, Filipino'],
            ['is_preferred' => 0, 'short_name' => 'Pitcairn', 'alpha_code2' => 'PN', 'alpha_code3' => 'PCN', 'name' => 'Pitcairn Island'],
            ['is_preferred' => 1, 'short_name' => 'Poland', 'alpha_code2' => 'PL', 'alpha_code3' => 'POL', 'name' => 'Polish'],
            ['is_preferred' => 0, 'short_name' => 'Portugal', 'alpha_code2' => 'PT', 'alpha_code3' => 'PRT', 'name' => 'Portuguese'],
            ['is_preferred' => 0, 'short_name' => 'Puerto Rico', 'alpha_code2' => 'PR', 'alpha_code3' => 'PRI', 'name' => 'Puerto Rican'],
            ['is_preferred' => 0, 'short_name' => 'Qatar', 'alpha_code2' => 'QA', 'alpha_code3' => 'QAT', 'name' => 'Qatari'],
            ['is_preferred' => 0, 'short_name' => 'Réunion', 'alpha_code2' => 'RE', 'alpha_code3' => 'REU', 'name' => 'Réunionese, Réunionnais'],
            ['is_preferred' => 0, 'short_name' => 'Romania', 'alpha_code2' => 'RO', 'alpha_code3' => 'ROU', 'name' => 'Romanian'],
            ['is_preferred' => 0, 'short_name' => 'Russian Federation', 'alpha_code2' => 'RU', 'alpha_code3' => 'RUS', 'name' => 'Russian'],
            ['is_preferred' => 0, 'short_name' => 'Rwanda', 'alpha_code2' => 'RW', 'alpha_code3' => 'RWA', 'name' => 'Rwandan'],
            ['is_preferred' => 0, 'short_name' => 'Saint Barthélemy', 'alpha_code2' => 'BL', 'alpha_code3' => 'BLM', 'name' => 'Barthélemois'],
            ['is_preferred' => 0, 'short_name' => 'Saint Helena, Ascension and Tristan da Cunha', 'alpha_code2' => 'SH', 'alpha_code3' => 'SHN', 'name' => 'Saint Helenian'],
            ['is_preferred' => 0, 'short_name' => 'Saint Kitts and Nevis', 'alpha_code2' => 'KN', 'alpha_code3' => 'KNA', 'name' => 'Kittitian or Nevisian'],
            ['is_preferred' => 0, 'short_name' => 'Saint Lucia', 'alpha_code2' => 'LC', 'alpha_code3' => 'LCA', 'name' => 'Saint Lucian'],
            ['is_preferred' => 0, 'short_name' => 'Saint Martin (French part)', 'alpha_code2' => 'MF', 'alpha_code3' => 'MAF', 'name' => 'Saint-Martinoise'],
            ['is_preferred' => 0, 'short_name' => 'Saint Pierre and Miquelon', 'alpha_code2' => 'PM', 'alpha_code3' => 'SPM', 'name' => 'Saint-Pierrais or Miquelonnais'],
            ['is_preferred' => 0, 'short_name' => 'Saint Vincent and the Grenadines', 'alpha_code2' => 'VC', 'alpha_code3' => 'VCT', 'name' => 'Saint Vincentian, Vincentian'],
            ['is_preferred' => 0, 'short_name' => 'Samoa', 'alpha_code2' => 'WS', 'alpha_code3' => 'WSM', 'name' => 'Samoan'],
            ['is_preferred' => 0, 'short_name' => 'San Marino', 'alpha_code2' => 'SM', 'alpha_code3' => 'SMR', 'name' => 'Sammarinese'],
            ['is_preferred' => 0, 'short_name' => 'Sao Tome and Principe', 'alpha_code2' => 'ST', 'alpha_code3' => 'STP', 'name' => 'São Toméan'],
            ['is_preferred' => 0, 'short_name' => 'Saudi Arabia', 'alpha_code2' => 'SA', 'alpha_code3' => 'SAU', 'name' => 'Saudi, Saudi Arabian'],
            ['is_preferred' => 0, 'short_name' => 'Senegal', 'alpha_code2' => 'SN', 'alpha_code3' => 'SEN', 'name' => 'Senegalese'],
            ['is_preferred' => 0, 'short_name' => 'Serbia', 'alpha_code2' => 'RS', 'alpha_code3' => 'SRB', 'name' => 'Serbian'],
            ['is_preferred' => 0, 'short_name' => 'Seychelles', 'alpha_code2' => 'SC', 'alpha_code3' => 'SYC', 'name' => 'Seychellois'],
            ['is_preferred' => 0, 'short_name' => 'Sierra Leone', 'alpha_code2' => 'SL', 'alpha_code3' => 'SLE', 'name' => 'Sierra Leonean'],
            ['is_preferred' => 0, 'short_name' => 'Singapore', 'alpha_code2' => 'SG', 'alpha_code3' => 'SGP', 'name' => 'Singaporean'],
            ['is_preferred' => 0, 'short_name' => 'Sint Maarten (Dutch part)', 'alpha_code2' => 'SX', 'alpha_code3' => 'SXM', 'name' => 'Sint Maarten'],
            ['is_preferred' => 1, 'short_name' => 'Slovakia', 'alpha_code2' => 'SK', 'alpha_code3' => 'SVK', 'name' => 'Slovak'],
            ['is_preferred' => 0, 'short_name' => 'Slovenia', 'alpha_code2' => 'SI', 'alpha_code3' => 'SVN', 'name' => 'Slovenian, Slovene'],
            ['is_preferred' => 0, 'short_name' => 'Solomon Islands', 'alpha_code2' => 'SB', 'alpha_code3' => 'SLB', 'name' => 'Solomon Island'],
            ['is_preferred' => 0, 'short_name' => 'Somalia', 'alpha_code2' => 'SO', 'alpha_code3' => 'SOM', 'name' => 'Somali, Somalian'],
            ['is_preferred' => 0, 'short_name' => 'South Africa', 'alpha_code2' => 'ZA', 'alpha_code3' => 'ZAF', 'name' => 'South African'],
            ['is_preferred' => 0, 'short_name' => 'South Georgia and the South Sandwich Islands', 'alpha_code2' => 'GS', 'alpha_code3' => 'SGS', 'name' => 'South Georgia or South Sandwich Islands'],
            ['is_preferred' => 0, 'short_name' => 'South Sudan', 'alpha_code2' => 'SS', 'alpha_code3' => 'SSD', 'name' => 'South Sudanese'],
            ['is_preferred' => 0, 'short_name' => 'Spain', 'alpha_code2' => 'ES', 'alpha_code3' => 'ESP', 'name' => 'Spanish'],
            ['is_preferred' => 0, 'short_name' => 'Sri Lanka', 'alpha_code2' => 'LK', 'alpha_code3' => 'LKA', 'name' => 'Sri Lankan'],
            ['is_preferred' => 0, 'short_name' => 'Sudan', 'alpha_code2' => 'SD', 'alpha_code3' => 'SDN', 'name' => 'Sudanese'],
            ['is_preferred' => 0, 'short_name' => 'Suriname', 'alpha_code2' => 'SR', 'alpha_code3' => 'SUR', 'name' => 'Surinamese'],
            ['is_preferred' => 0, 'short_name' => 'Svalbard and Jan Mayen', 'alpha_code2' => 'SJ', 'alpha_code3' => 'SJM', 'name' => 'Svalbard'],
            ['is_preferred' => 0, 'short_name' => 'Swaziland', 'alpha_code2' => 'SZ', 'alpha_code3' => 'SWZ', 'name' => 'Swazi'],
            ['is_preferred' => 0, 'short_name' => 'Sweden', 'alpha_code2' => 'SE', 'alpha_code3' => 'SWE', 'name' => 'Swedish'],
            ['is_preferred' => 0, 'short_name' => 'Switzerland', 'alpha_code2' => 'CH', 'alpha_code3' => 'CHE', 'name' => 'Swiss'],
            ['is_preferred' => 0, 'short_name' => 'Syrian Arab Republic', 'alpha_code2' => 'SY', 'alpha_code3' => 'SYR', 'name' => 'Syrian'],
            ['is_preferred' => 0, 'short_name' => 'Taiwan, Province of China', 'alpha_code2' => 'TW', 'alpha_code3' => 'TWN', 'name' => 'Chinese, Taiwanese'],
            ['is_preferred' => 0, 'short_name' => 'Tajikistan', 'alpha_code2' => 'TJ', 'alpha_code3' => 'TJK', 'name' => 'Tajikistani'],
            ['is_preferred' => 0, 'short_name' => 'Tanzania, United Republic of', 'alpha_code2' => 'TZ', 'alpha_code3' => 'TZA', 'name' => 'Tanzanian'],
            ['is_preferred' => 0, 'short_name' => 'Thailand', 'alpha_code2' => 'TH', 'alpha_code3' => 'THA', 'name' => 'Thai'],
            ['is_preferred' => 0, 'short_name' => 'Timor-Leste', 'alpha_code2' => 'TL', 'alpha_code3' => 'TLS', 'name' => 'Timorese'],
            ['is_preferred' => 0, 'short_name' => 'Togo', 'alpha_code2' => 'TG', 'alpha_code3' => 'TGO', 'name' => 'Togolese'],
            ['is_preferred' => 0, 'short_name' => 'Tokelau', 'alpha_code2' => 'TK', 'alpha_code3' => 'TKL', 'name' => 'Tokelauan'],
            ['is_preferred' => 0, 'short_name' => 'Tonga', 'alpha_code2' => 'TO', 'alpha_code3' => 'TON', 'name' => 'Tongan'],
            ['is_preferred' => 0, 'short_name' => 'Trinidad and Tobago', 'alpha_code2' => 'TT', 'alpha_code3' => 'TTO', 'name' => 'Trinidadian or Tobagonian'],
            ['is_preferred' => 0, 'short_name' => 'Tunisia', 'alpha_code2' => 'TN', 'alpha_code3' => 'TUN', 'name' => 'Tunisian'],
            ['is_preferred' => 0, 'short_name' => 'Turkey', 'alpha_code2' => 'TR', 'alpha_code3' => 'TUR', 'name' => 'Turkish'],
            ['is_preferred' => 0, 'short_name' => 'Turkmenistan', 'alpha_code2' => 'TM', 'alpha_code3' => 'TKM', 'name' => 'Turkmen'],
            ['is_preferred' => 0, 'short_name' => 'Turks and Caicos Islands', 'alpha_code2' => 'TC', 'alpha_code3' => 'TCA', 'name' => 'Turks and Caicos Island'],
            ['is_preferred' => 0, 'short_name' => 'Tuvalu', 'alpha_code2' => 'TV', 'alpha_code3' => 'TUV', 'name' => 'Tuvaluan'],
            ['is_preferred' => 0, 'short_name' => 'Uganda', 'alpha_code2' => 'UG', 'alpha_code3' => 'UGA', 'name' => 'Ugandan'],
            ['is_preferred' => 0, 'short_name' => 'Ukraine', 'alpha_code2' => 'UA', 'alpha_code3' => 'UKR', 'name' => 'Ukrainian'],
            ['is_preferred' => 0, 'short_name' => 'United Arab Emirates', 'alpha_code2' => 'AE', 'alpha_code3' => 'ARE', 'name' => 'Emirati, Emirian, Emiri'],
            ['is_preferred' => 0, 'short_name' => 'United Kingdom of Great Britain and Northern Ireland', 'alpha_code2' => 'GB', 'alpha_code3' => 'GBR', 'name' => 'British, UK'],
            ['is_preferred' => 0, 'short_name' => 'United States Minor Outlying Islands', 'alpha_code2' => 'UM', 'alpha_code3' => 'UMI', 'name' => 'American'],
            ['is_preferred' => 0, 'short_name' => 'United States of America', 'alpha_code2' => 'US', 'alpha_code3' => 'USA', 'name' => 'American'],
            ['is_preferred' => 0, 'short_name' => 'Uruguay', 'alpha_code2' => 'UY', 'alpha_code3' => 'URY', 'name' => 'Uruguayan'],
            ['is_preferred' => 0, 'short_name' => 'Uzbekistan', 'alpha_code2' => 'UZ', 'alpha_code3' => 'UZB', 'name' => 'Uzbekistani, Uzbek'],
            ['is_preferred' => 0, 'short_name' => 'Vanuatu', 'alpha_code2' => 'VU', 'alpha_code3' => 'VUT', 'name' => 'Ni-Vanuatu, Vanuatuan'],
            ['is_preferred' => 0, 'short_name' => 'Venezuela (Bolivarian Republic of)', 'alpha_code2' => 'VE', 'alpha_code3' => 'VEN', 'name' => 'Venezuelan'],
            ['is_preferred' => 0, 'short_name' => 'Vietnam', 'alpha_code2' => 'VN', 'alpha_code3' => 'VNM', 'name' => 'Vietnamese'],
            ['is_preferred' => 0, 'short_name' => 'Virgin Islands (British)', 'alpha_code2' => 'VG', 'alpha_code3' => 'VGB', 'name' => 'British Virgin Island'],
            ['is_preferred' => 0, 'short_name' => 'Virgin Islands (U.S.)', 'alpha_code2' => 'VI', 'alpha_code3' => 'VIR', 'name' => 'U.S. Virgin Island'],
            ['is_preferred' => 0, 'short_name' => 'Wallis and Futuna', 'alpha_code2' => 'WF', 'alpha_code3' => 'WLF', 'name' => 'Wallis and Futuna, Wallisian or Futunan'],
            ['is_preferred' => 0, 'short_name' => 'Western Sahara', 'alpha_code2' => 'EH', 'alpha_code3' => 'ESH', 'name' => 'Sahrawi, Sahrawian, Sahraouian'],
            ['is_preferred' => 0, 'short_name' => 'Yemen', 'alpha_code2' => 'YE', 'alpha_code3' => 'YEM', 'name' => 'Yemeni'],
            ['is_preferred' => 0, 'short_name' => 'Zambia', 'alpha_code2' => 'ZM', 'alpha_code3' => 'ZMB', 'name' => 'Zambian'],
            ['is_preferred' => 0, 'short_name' => 'Zimbabwe', 'alpha_code2' => 'ZW', 'alpha_code3' => 'ZWE', 'name' => 'Zimbabwean'],
        ];
        foreach ($nationalities as $nationality) {
            $this->addSql(
                'INSERT INTO nationality (is_preferred, short_name, alpha_code2, alpha_code3, name) VALUES (:is_preferred, :short_name, :alpha_code2, :alpha_code3, :name)',
                $nationality
            );
        }
    }

    public function down(Schema $schema): void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('DROP TABLE nationality');
    }
}
